﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ServiceModel.Security;
using System.Web.Security;
using HLWebOKBQueryPlugin.OKBQueryService;
using HLWebOKBQueryPlugin.Helpers;

namespace HLWebPluginHost.Models {
    public class QueryModel {

       public String SelectedSubMenu { get; set; }

       public IList<Filter> QueryFilterGetAll() {
           QueryServiceClient client = Query.GetClientFactory();

           IList<Filter> filterList = new List<Filter>();

           if (client != null) {
               Filter[] filters = client.GetFilters();
               foreach (Filter f in filters) {
                   filterList.Add(f);

               }
           }

           return filterList;
       }

    }
}